> ## Documentation Index
> Fetch the complete documentation index at: https://docs.easybilling.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get credit memo details by id



## OpenAPI

````yaml /billing.openapi.json get /api/credit-memos/{memoId}
openapi: 3.1.0
info:
  title: Billing
  description: |+

  version: 1.0.0
  summary: ''
servers:
  - url: https://sbx.api.easybilling.cloud/billing
    description: SBX
  - url: https://api.easybilling.cloud/billing
    description: Production-AWS
security:
  - token: []
tags:
  - name: account
  - name: payment method
  - name: contract action
  - name: usage event
  - name: billing document
  - name: invoice pdf
  - name: prepaid credits
  - name: customer portal
paths:
  /api/credit-memos/{memoId}:
    get:
      tags:
        - billing document
      summary: Get credit memo details by id
      operationId: getInvoiceDetailByInvoiceId
      parameters:
        - name: memoId
          in: path
          description: ''
          required: true
          schema:
            type: string
        - name: trace-id
          in: header
          description: ''
          required: false
          example: '{{$string.uuid}}'
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/creditMemoRes'
              example:
                - createdAt: '2026-04-03T01:42:36Z'
                  updatedAt: '2026-04-03T01:42:36Z'
                  createdBy: 9dc86abd-de28-4021-b0bc-645ed35cbcec
                  updatedBy: 9dc86abd-de28-4021-b0bc-645ed35cbcec
                  entityId: 26cf2751-35ae-4d68-8ebc-511523a647db
                  deleted: false
                  optimisticVersion: 1
                  id: d7ed97f3-b9eb-40d5-85bb-77e1b1e3b354
                  accountId: 2897046b-6ac7-4352-b4c7-55e8d43b4220
                  subTotal: 200
                  discountAmount: 0
                  amountAfterDiscount: 200
                  taxAmount: 0
                  totalAmount: 200
                  date: '2026-04-03'
                  postDate: '2026-04-03'
                  dueDate: '2026-04-03'
                  status: draft
                  balance: 200
                  lockByPayment: false
                  immediatelyPay: false
                  originalInvoiceId: 4ef14655-b855-429c-ac08-59634bc12863
                  invoiceTaxTransactionId: tax_1THwkUFW0IWBe0hK3CzRYZuR
                  externalReferenceId: null
                  reasonCode: consumption-based-credit
                  taxTransactionId: null
                  currency: CNY
                  number: CM-000000016
          headers: {}
        '400':
          description: Bad Request
          headers: {}
        '401':
          description: Unauthorized
          headers: {}
        '404':
          description: Not Found
          headers: {}
        '500':
          description: Internal Server Error
          headers: {}
      deprecated: false
      security:
        - token: []
components:
  schemas:
    creditMemoRes:
      type: object
      properties:
        id:
          type: string
        number:
          type: string
        accountId:
          type: string
        subTotal:
          type: integer
        discountAmount:
          type: integer
        amountAfterDiscount:
          type: integer
        taxAmount:
          type: integer
        totalAmount:
          type: integer
        currency:
          type: string
        status:
          type: string
          enum:
            - draft
            - posted
        date:
          type: string
        dueDate:
          type: string
        originalInvoiceId:
          type: string
        invoiceTaxTransactionId:
          type: string
        externalReferenceId:
          type: 'null'
        reasonCode:
          type: string
        taxTransactionId:
          type: 'null'
        items:
          type: array
          items:
            type: object
            properties:
              planItemId:
                type: string
              planItemName:
                type: string
              skuId:
                type: 'null'
              periodStartDate:
                type: string
              periodEndDate:
                type: string
              quantity:
                type: integer
              amount:
                type: integer
              discountAmount:
                type: integer
              amountAfterDiscount:
                type: integer
              taxAmount:
                type: integer
              totalAmount:
                type: integer
              invoiceItemId:
                type: string
              invoiceTaxTransactionItemId:
                type: 'null'
              taxTransactionItemId:
                type: 'null'
              createdAt:
                type: string
              updatedAt:
                type: string
              createdBy:
                type: string
              updatedBy:
                type: string
        createdAt:
          type: string
        updatedAt:
          type: string
        createdBy:
          type: string
        updatedBy:
          type: string
      required:
        - id
        - number
        - accountId
        - subTotal
        - discountAmount
        - amountAfterDiscount
        - taxAmount
        - totalAmount
        - currency
        - status
        - date
        - dueDate
        - originalInvoiceId
        - invoiceTaxTransactionId
        - externalReferenceId
        - reasonCode
        - taxTransactionId
        - items
        - createdAt
        - updatedAt
        - createdBy
        - updatedBy
  securitySchemes:
    token:
      type: http
      scheme: bearer

````